Bug 1778503 - Prepended text on OS name creation
Summary: Prepended text on OS name creation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Hosts
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.8.0
Assignee: Ondřej Pražák
QA Contact: tstrych
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-01 17:46 UTC by Lai
Modified: 2021-07-21 12:21 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 12:59:33 UTC
Target Upstream Version:


Attachments (Terms of Use)
prepend text to os name (20.12 KB, image/png)
2019-12-01 17:47 UTC, Lai
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 29047 0 Normal Closed Prepended text on OS name creation 2020-10-28 17:20:00 UTC
Red Hat Product Errata RHSA-2020:4366 0 None None None 2020-10-27 12:59:49 UTC

Description Lai 2019-12-01 17:46:05 UTC
Description of problem:
When you create an os without a family name selected, the name gets prepend with "icons16x6/black-%23.png"+os_name.

Version-Release number of selected component (if applicable):
6.7.0_0

How reproducible:
100

Steps to Reproduce:
1. Hosts -> Operating Systems -> Create Operating Systems
2. Populate Name and Major Version field, but leave Family field blank.
3. Click submit

Actual results:
"icons16x16/black-%23.png"+os_name

Expected results:
os_name

Additional info:

Comment 3 Lai 2019-12-01 17:47:12 UTC
Created attachment 1641123 [details]
prepend text to os name

Comment 4 Lai 2019-12-02 23:54:35 UTC
Forgot to add that this was found on 6.7.0 snap 4.

Comment 6 Ondřej Pražák 2020-02-18 12:34:15 UTC
Created redmine issue https://projects.theforeman.org/issues/29047 from this bug

Comment 7 Bryan Kearney 2020-02-18 13:05:57 UTC
Upstream bug assigned to oprazak

Comment 8 Bryan Kearney 2020-02-18 13:05:59 UTC
Upstream bug assigned to oprazak

Comment 9 Mike McCune 2020-02-21 15:57:47 UTC
This no longer occurs on SNAP 13, moving ON_QA for a re-verify

Comment 10 Mike McCune 2020-02-21 15:58:35 UTC
ignore above status change, saw the PR that is under review.

Comment 12 Ondřej Pražák 2020-06-24 12:38:03 UTC
This is already fixed in 6.8

Comment 13 tstrych 2020-07-03 12:27:21 UTC
Verified. 

I reproduce it with steps from comment 0.

Firstly bug was reproduced on sat 6.7 with foreman-1.24.1.21-1.
Afterwards the same process was done with sat 6.8 snap 6 with foreman-2.1.0-0.22.
The os name is now correct. And picture is shown properly.

Comment 16 errata-xmlrpc 2020-10-27 12:59:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Satellite 6.8 release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4366


Note You need to log in before you can comment on or make changes to this bug.